Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "94c9d413-4973-4afa-806b-329efad6431b",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "c6234b0b-4149-4a05-b4f1-03faed5cebb5",
"company_code": "sample string 5",
"company": {
"id": "86f244cf-ba4a-4ad8-b978-ca9c3a3a7560",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-28T09:49:32.6808237+00:00",
"sales_territory_id": "5843a691-eb16-43bb-af8f-b442785cb50b",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "6e4cf635-6159-44be-a208-013e0dd26910",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "140529bd-1389-4d99-a71e-0d5b59f1dad4",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "69d8a33d-4689-436f-a15a-377f37328179",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cfd6bd32-23a9-41d0-9697-84b05b7200e1",
"db_currency_id": "934d8dab-62a2-4cae-8cca-ee3e58fa5abe",
"db_language_id": "5889bc6c-1440-4aa7-89e6-9251c0813fe9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T09:49:32.6963591+00:00"
},
"modified_dateutc": "2026-10-28T09:49:32.6963591+00:00"
},
"marketing_segment_id": "535791d4-a2ed-4bae-b87f-dd7e70de5b6d",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "9a317614-7fb0-4592-9b37-165b18325c5a",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "5b1746a8-102b-41cc-b59d-d0e86135c6f0",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e040e392-9a2e-4fe7-99dc-69db5ca9e9d3",
"db_country_code": "sample string 28",
"feelist_id": "4997d197-5a16-4953-aaf8-607195dd1c3b",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "478a054d-5dcb-471f-b61a-6f6ffe59ff6f",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "f9dd1bf6-0b29-49c3-9503-06ab57f88e9f",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-28T09:49:32.6963591+00:00",
"db_currency_id": "2ed91017-8116-412b-945c-6fc53c24089d",
"db_currency_code": "sample string 10"
},
"company_type_id": "81d17a4b-e77c-4874-a500-67ef1639e84e",
"company_type_name": "sample string 32",
"company_type": {
"id": "04246a10-8def-4aca-83ed-94d96e81bded",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "efb323b7-619d-4a1c-a9dc-0633351f0df4",
"sales_organization_code": "sample string 5"
},
"db_language_id": "1f067257-a798-4ef9-bafa-5e852d9d1357",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "c4f4cf62-aa23-488a-82d1-d4f522d28e67",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "5602e753-34e5-42e2-8fa3-27a1f13ebd0f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "c1e5be1f-31a9-471f-acd0-7444cd49ad14",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-28T09:49:32.6963591+00:00"
},
"company_sector_id": "b641223c-60e9-44d8-a42a-da26cde58ca4",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "748b3df0-7e82-4bc1-a386-4f4d63102170",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "57abb921-da74-4219-bf72-0cf2f3452fc1",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "0c552d85-0004-4bb9-8174-0973fb9d7a38",
"account_manager_user_code": "sample string 56",
"company_status_id": "e8f61045-0154-425a-bc0f-46b306d2e681",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-28T09:49:32.7150751+00:00",
"id2": 60
},
"db_language_id": "0d2cb822-b363-46a3-b516-c83f0b5c73c2",
"db_language_code": "sample string 7",
"db_title_id": "96464ff9-d6b9-458e-a534-15c7781db75b",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-28T09:49:32.7150751+00:00",
"create_date": "2026-10-28T09:49:32.7150751+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-28T09:49:32.7150751+00:00"
}